package com.goafanti.common.dao;

import com.goafanti.common.model.PublicReleaseClock;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 公出打卡表(PublicReleaseClock)表数据库访问层
 *
 * @author makejava
 * @since 2025-08-27 11:44:45
 */
public interface PublicReleaseClockMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PublicReleaseClock selectById(Integer id);


    /**
     * 查询指定行数据
     *
     * @param publicReleaseClock 查询条件
     * @param pageable           分页对象
     * @return 对象列表
     */
    List<PublicReleaseClock> findPublicReleaseClockList(PublicReleaseClock publicReleaseClock);

    /**
     * 统计总行数
     *
     * @param publicReleaseClock 查询条件
     * @return 总行数
     */
    int findPublicReleaseClockCount(PublicReleaseClock publicReleaseClock);

    /**
     * 新增数据
     *
     * @param publicReleaseClock 实例对象
     * @return 影响行数
     */
    int insert(PublicReleaseClock publicReleaseClock);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<PublicReleaseClock> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<PublicReleaseClock> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<PublicReleaseClock> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<PublicReleaseClock> entities);

    /**
     * 修改数据
     *
     * @param publicReleaseClock 实例对象
     * @return 影响行数
     */
    int update(PublicReleaseClock publicReleaseClock);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);





    int insertSelective(PublicReleaseClock record);


    List<PublicReleaseClock> selectList(List<Integer> list);

}

